## org.eclipse.contribution.visualiser.interfaces
Interface IMarkupKind

All Known Implementing Classes:
  SimpleMarkupKind

public interface IMarkupKind

Interface for Markup kinds that are displayed in the Visualiser Menu

Method Summary
`java.lang.String` `getFullName()` Get the full name, which is displayed as the tooltip in the menu Clients should return the result of getName if no full name exists
`org.eclipse.swt.graphics.Image` `getIcon()` Get the image to display
`java.lang.String` `getName()` Get the name to display
`boolean` `showInMenu()` Show this kind in the Visualiser Menu?

Method Detail

### getName

    public java.lang.String getName()

  Get the name to display

  Returns:
    markup kind name

### getFullName

    public java.lang.String getFullName()

  Get the full name, which is displayed as the tooltip in the menu Clients should return the result of getName if no full name exists

  Returns:

### getIcon

    public org.eclipse.swt.graphics.Image getIcon()

  Get the image to display

  Returns:
    markup kind image

### showInMenu

    public boolean showInMenu()

  Show this kind in the Visualiser Menu?

  Returns:
    true if kind should be shown